libmpq(3)

NAME
libmpq - cross-platform C library for manipulating mpq archives.

SYNOPSIS
#include <mpq.h>

int32_t libmpq__archive_files(
        mpq_archive_s  *mpq_archive,
        uint32_t       *files
);

DESCRIPTION

Call libmpq__archive_files() to get the number of files inside the archive. It will count only valid files and skip files which have deleted or freed hash entries.

The libmpq__archive_files() function takes as first argument the archive structure mpq_archive which have to be allocated first and opened by libmpq__archive_open(). The second argument is a reference to the number of files in the archive.

RETURN VALUE
On success, a zero is returned.

SEE ALSO
libmpq__file_blocks(3)

AUTHOR
Check documentation.

libmpq is (c) 2003-2008
    Maik Broemme <mbroemme@plusserver.de>

The above e-mail address can be used to send bug reports, feedbacks or library enhancements.